#!/bin/bash
# 
# Copyright (C) 2011 Generalitat de Catalunya 
# 
# This file is part of Linkatedu_11.4.  
# 
# Linkatedu_11.4 is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option) any
# later version.
# 
# Linkatedu_11.4 is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for further
# details, currently published at http://www.gnu.org/licenses/gpl.txt or in the
# gpl.txt in the ["legal" folder] of this distribution.
# 
# You should have received a copy of the GNU General Public License along with
# this program; If not, see <http://www.gnu.org/licenses/>
# 
# Authors: Jordi "Txor" Casas Ríos (jcasas@opentrends.net), openTrends Solucions i Sistemes, S.L.
# 
# You may contact the copyright holder at: linkat@xtec.cat
# 

FILE=/etc/squid/squid.conf

echo -n "Configuring squid for transparent proxy and linkat-serivdor-comunicacions schema... "
if ! grep "http_port .* transparent" $FILE >/dev/null 2>&1 ; then
	sed -i 's/^http_port .*$/& transparent/' $FILE
fi

if ! grep "http_port 3129" $FILE > /dev/null 2>&1 ; then
	sed -i '/^http_port .*$/ a http_port 3129' $FILE
	echo "Done"
fi

echo -n "Configurant el ulimit del squid..."
if grep "ulimit -n 4096" /etc/init.d/squid >/dev/null 2>&1 ; then
	sed -i 's/ulimit -n 4096/ulimit -n 65536/g' /etc/init.d/squid
fi
echo "Done"
